<?php
class SUBJECT {
	private $searchName = "";
	private $name = "";
	private $short = "";
	private $events = array ();
	function __construct($searchName = "", $name, $short = "") {
		$this->searchName = $searchName;
		$this->name = $name;
		$this->short = $short;
	}
	public function getSearchName() {
		return $this->searchName;
	}
	public function getName() {
		return $this->name;
	}
	public function getShort() {
		return $this->short;
	}
	public function getEvents() {
		return $this->events;
	}
	public function setSearchName($searchName) {
		$this->searchName = $searchName;
	}
	public function setName($name) {
		$this->name = $name;
	}
	public function setShort($short) {
		$this->short = $short;
	}
	public function addEvent($event) {
		array_push ( $this->events, $event );
	}
	public function addEvents($events) {
		foreach ( $events as $event ) {
			array_push ( $this->events, $event );
		}
	}
	
	public function toJson($inc_name = true, $inc_short = true) {
		$kommata = false;
		$json = '';
		if($inc_name){
			$json .= '{"Name": "'. $this->name . '", ';
		}
		if($inc_short){
			$json .= '"Short": "'. $this->short . '", ';
		}
		$json .= '"Events": [';
		foreach ( $this->events as $event ) {
			if ($kommata) {
				$json .= ',';
			} else {
				$kommata = true;
			}
			$json .= $event->toJson ();
		}
		$json .= ']}';
		return $json;
	}
	
	public function eventsToJson($inc_name = true, $inc_short = true) {
		$kommata = false;
		$json = '';
		foreach ( $this->events as $event ) {
			if ($kommata) {
				$json .= ',';
			} else {
				$kommata = true;
			}
			$json .= '{';
			if($inc_name){
				$json .= '"Name": "'. $this->name . '", ';
			}
			if($inc_short){
				$json .= '"Short": "'. $this->short . '", ';
			}
			$json .= $event->toInnerJson ();
			$json .= '}';
		}
		return $json;
	}
	
	public function __toString() {
		$string = "Name: " . $this->name;
		$string .= ", Short: ".$this->short;
		$string .= ", Events: ";
		foreach ( $this->events as $event ) {
			$string .= $event;
		}
		return $string;
	}
}
?>